Package com.datecs.fiscalprinter.SDK

# Class FiscalResponse

java.lang.Object
com.datecs.fiscalprinter.SDK.FiscalResponse

    public class FiscalResponse
    extends java.lang.Object

Key-Value representation of command response

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `FiscalResponse()` |
  `FiscalResponse​(int i)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `contains​(java.lang.String key)` |
  `java.lang.String` | `get​(java.lang.String key)` |
  `boolean` | `getBoolean​(java.lang.String key)` |
  `boolean` | `getBoolean​(java.lang.String key, boolean defaultValue)` |
  `double` | `getDouble​(java.lang.String key)` |
  `double` | `getDouble​(java.lang.String key, double defaultValue)` |
  `float` | `getFloat​(java.lang.String key)` |
  `float` | `getFloat​(java.lang.String key, float defaultValue)` |
  `int` | `getInt​(java.lang.String key)` |
  `int` | `getInt​(java.lang.String key, int defaultValue)` |
  `java.util.Set<java.lang.String>` | `getKeys()` |
  `long` | `getLong​(java.lang.String key)` |
  `long` | `getLong​(java.lang.String key, long defaultValue)` |
  `java.lang.String` | `getString​(java.lang.String key)` |
  `java.lang.String` | `getString​(java.lang.String key, java.lang.String defaultValue)` |
  `java.util.Collection<java.lang.String>` | `getValues()` |
  `boolean` | `isEmpty()` |
  `void` | `put​(java.lang.String key, java.lang.String value)` |
  `void` | `set​(java.lang.String key, boolean value)` |
  `void` | `set​(java.lang.String key, char value)` |
  `void` | `set​(java.lang.String key, double value)` |
  `void` | `set​(java.lang.String key, float value)` |
  `void` | `set​(java.lang.String key, int value)` |
  `void` | `set​(java.lang.String key, java.lang.String value)` |
  `int` | `size()` |

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FiscalResponse

    public FiscalResponse()

  - ### FiscalResponse

    public FiscalResponse​(int i)
    Parameters:
      `i` -

- ## Method Details

  - ### put

    public void put​(java.lang.String key, java.lang.String value)
    Parameters:
      `key` -
      `value` -

  - ### set

    public void set​(java.lang.String key, java.lang.String value)
    Parameters:
      `key` -
      `value` -

  - ### set

    public void set​(java.lang.String key, int value)
    Parameters:
      `key` -
      `value` -

  - ### set

    public void set​(java.lang.String key, float value)
    Parameters:
      `key` -
      `value` -

  - ### set

    public void set​(java.lang.String key, double value)
    Parameters:
      `key` -
      `value` -

  - ### set

    public void set​(java.lang.String key, char value)
    Parameters:
      `key` -
      `value` -

  - ### set

    public void set​(java.lang.String key, boolean value)
    Parameters:
      `key` -
      `value` -

  - ### get

    public java.lang.String get​(java.lang.String key)
    Parameters:
      `key` -
    Returns:

  - ### getString

    public java.lang.String getString​(java.lang.String key, java.lang.String defaultValue)
    Parameters:
      `key` -
      `defaultValue` -
    Returns:

  - ### getString

    public java.lang.String getString​(java.lang.String key)
    Parameters:
      `key` -
    Returns:

  - ### getInt

    public int getInt​(java.lang.String key, int defaultValue)
    Parameters:
      `key` -
      `defaultValue` -
    Returns:

  - ### getInt

    public int getInt​(java.lang.String key)
    Parameters:
      `key` -
    Returns:

  - ### getLong

    public long getLong​(java.lang.String key, long defaultValue)
    Parameters:
      `key` -
      `defaultValue` -
    Returns:

  - ### getLong

    public long getLong​(java.lang.String key)
    Parameters:
      `key` -
    Returns:

  - ### getDouble

    public double getDouble​(java.lang.String key, double defaultValue)
    Parameters:
      `key` -
      `defaultValue` -
    Returns:

  - ### getDouble

    public double getDouble​(java.lang.String key)
    Parameters:
      `key` -
    Returns:

  - ### getFloat

    public float getFloat​(java.lang.String key, float defaultValue)
    Parameters:
      `key` -
      `defaultValue` -
    Returns:

  - ### getFloat

    public float getFloat​(java.lang.String key)
    Parameters:
      `key` -
    Returns:

  - ### getBoolean

    public boolean getBoolean​(java.lang.String key, boolean defaultValue)
    Parameters:
      `key` -
      `defaultValue` -
    Returns:

  - ### getBoolean

    public boolean getBoolean​(java.lang.String key)
    Parameters:
      `key` -
    Returns:

  - ### contains

    public boolean contains​(java.lang.String key)
    Parameters:
      `key` -
    Returns:

  - ### getKeys

    public java.util.Set<java.lang.String> getKeys()
    Returns:

  - ### getValues

    public java.util.Collection<java.lang.String> getValues()
    Returns:

  - ### size

    public int size()
    Returns:

  - ### isEmpty

    public boolean isEmpty()
    Returns: